<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <title>Title</title>
</head>
<body>
<div th:replace="MainPage.html :: nav-bar"></div>
<div class="container w-50 mt-5" >
    <form th:action="@{/addArticle}" th:object="${articleFromForm}" method="post" enctype="multipart/form-data" >
        <div class="mb-3" >
            <label for="title" class="form-label">Title</label>
            <input th:field="*{title}" type="text" class="form-control" id="title" placeholder="title here">
        </div>
        <div class="mb-3" >
            <label for="dec" class="form-label">Description</label>
            <textarea class="form-control" id="dec" rows="3" th:field="*{description}"></textarea>
        </div>
        <div class="mb-3" >
            <label for="formFile" class="form-label">Upload picture here :</label>
            <input class="form-control" type="file" id="formFile" name="image" accept="image/png, image/jpeg">
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous"></script>
</body>
</html>